### Method

# GimpUi ColorSelector set_format

unstable since: 3.0

#### Declaration [src]

    void
    gimp_color_selector_set_format (
      GimpColorSelector* selector,
      const Babl* format
    )

#### Description [src]

Sets the babl format representing the color model and the space this `selector` is supposed to display values for. Depending on the type of color selector, it may trigger various UX changes, or none at all.

Available since: 3.0

#### Parameters

`format`

  Type: `Babl`

  A Babl format, with space.

  The data is owned by the caller of the method.